## gtk-qt-engine 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Find Bonobo
 PKGCONFIG(libbonoboui-2.0 BONOBO_INCLUDE_DIR BONOBO_LIB_DIR BONOBO_LINK_FLAGS BONOBO_CFLAGS)
 IF (NOT BONOBO_INCLUDE_DIR)
-	MESSAGE(STATUS "bonobo not found.  Some features of the theme engine will not work as intended.")
+	MESSAGE(STATUS "bonoboui not found.  Some features of the theme engine will not work as intended.")
 ELSE (NOT BONOBO_INCLUDE_DIR)
 	MESSAGE(STATUS "Found Bonobo include dir: ${BONOBO_INCLUDE_DIR}")
 	MESSAGE(STATUS "Found Bonobo library dir: ${BONOBO_LIB_DIR}")
