=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	)
 	
 	INSTALL(
-		FILES ${_file}
+		FILES ${_out}
 		DESTINATION share/locale/${_file_we}/LC_MESSAGES/
 		RENAME gtkqtengine.mo
 	)
