=== src/CMakeLists.txt ===
# Sources
SET(GTK-QT-SOURCES
	qt_main.c
	qt_qt_wrapper.cpp
	qt_rc_style.c
	qt_theme_draw.c)

ADD_LIBRARY(qtengine SHARED ${GTK-QT-SOURCES})

# Add GTK's cflags
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GTK_CFLAGS} ${BONOBO_CFLAGS}")
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS} ${BONOBO_CFLAGS}")

TARGET_LINK_LIBRARIES(qtengine ${GTK_LINK_FLAGS} ${QT_LIBRARIES} ${BONOBO_LINK_FLAGS})

INSTALL(
	TARGETS qtengine
	DESTINATION ${INSTALL_PATH_GTK_ENGINES}
	PERMISSIONS
		OWNER_READ OWNER_WRITE OWNER_EXECUTE
		GROUP_READ GROUP_EXECUTE
		WORLD_READ WORLD_EXECUTE
)

INSTALL(
	FILES gtkrc
	DESTINATION "${INSTALL_PATH_GTK_THEMES}/Qt/gtk-2.0"
)
