=== debian/changelog ===
gtk-qt-engine (1:1.1+svn5-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
    - Remove README.source
    - Remove quilt build dependency.
  * Update debian/rules:
    - Remove quilt addon.
    - Use kde sequence addon (Closes: #574318).
    - Enable parallel build (pass --paralle option to dh).
  * Update debian/control:
    - Bump build dependencies (debhelper and pkg-kde-tools).
    - Bump Standards to 3.8.4 (no changes needed).

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Mar 2010 12:02:18 +0100

gtk-qt-engine (1:1.1+svn5-3) unstable; urgency=low

  * debian/patches:
    - 01_fix_out_of_tree_build.patch - Update to change the translations
        filenames from gtkqtengine.mo to kcmgtk4.mo to make them work.
    - 07_point_to_package.patch - Indicate the Debian package and not the 
        upstream page in kcm_gtk.
    - 08_update_translations.patch - Update some translations.
        (Fat and dirty patch…)
  * Change binary package from system-config-gtk-kde to kde-config-gtk-style.

 -- Didier Raboud <didier@raboud.com>  Mon, 08 Feb 2010 16:26:28 +0100

gtk-qt-engine (1:1.1+svn5-2) unstable; urgency=low

  [ Didier Raboud ]

  * Add debian/patches:
    - 05_dont_set_userfont.patch to not set the user font (Closes: #512782).
    - 06_no_bonobo.patch to not compile against bonobo and get rid of the
      build-dependency (Closes: #541451).
  * Update debian/patches/*: Add DEP-3 headers.
  * Split the systemsettings configuration part and the style itself:
    - gtk-qt-engine holds the style, system-config-gtk-kde holds the
      configuration module.
    - Add .install file and adapt the debian/rules file.
  * Update debian/control:
    - Adjust build-depends on quilt and debhelper.
    - Bump Standards to 3.8.3 (add debian/README.source).
  * Update debian/copyright: add myself in 2009.

  [ Fathi Boudra ]

  * Cleanup debian/rules: dh has cmake support.
  * Update debian/control: add pkg-kde-tools (>= 0.4.11) build dependency.

 -- Didier Raboud <didier@raboud.com>  Fri, 21 Aug 2009 14:43:10 +0200

gtk-qt-engine (1:1.1+svn5-1) unstable; urgency=low

  * New svn repository (http://code.google.com/p/gtk-qt-engine)
    - Update upstream package to revision 5
      "Updated Norwegian Nynorsk translation by Karl Ove Hufthammer"

  [ Didier Raboud ]

  * Change source and binary name to gtk-qt-engine.
    - Bump epoch to 1 due to previous gtk-qt-engine being 1:0.8.
      (Closes: 480696)
    - Use the actual repository revision.
  * Update debian/control:
    - Add myself to Uploaders field.
    - Add Vcs-{Svn,Browser} fields.
  * Refactorize debian/rules:
    - Remove the custom debian/cdbs directory.
    - Add get-orig-source target.
  * Add 04_no_kde4_in_configfile.diff patch (Closes: 527340).

  [ Fathi Boudra ]

  * Bump Standard-Version to 3.8.2 (no changes needed).
  * Update debian/control: drop cdbs build dependency.
  * Update debian/copyright: update upstream url.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Jun 2009 09:35:02 +0200

gtk-qt-engine-kde4 (1.1+svn145-2) unstable; urgency=low

  * Upload to Sid.
  * Bump compat/debhelper to 7.
  * Bump Standard-Version to 3.8.1.
  * Update upstream homepage.

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Apr 2009 20:27:27 +0200

gtk-qt-engine-kde4 (1.1+svn145-1) experimental; urgency=low

  [ Xavier Vello ]

  * New snapshot from svn rev 145. (Closes: #482457, #496860)
  * Add myself in Uploaders field.

 -- Fathi Boudra <fabo@debian.org>  Sun, 09 Nov 2008 10:52:51 +0100

gtk-qt-engine-kde4 (1.1-1) experimental; urgency=low

  * Initial release (Closes: #478846)
  * Add patch to disable engine with nspluginviewer.
  * Merge Kubuntu patches:
    * Out of source build isn't working due to problems in 2 CMakeLists.txt.
    * Installs the kcm desktop file in KDE 4's services directory, as it
      shouldn't show up in menus.

 -- Fathi Boudra <fabo@debian.org>  Thu, 01 May 2008 12:47:20 +0200
