=== debian/control ===
Source: gtk-qt-engine
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Xavier Vello <xavier.vello@gmail.com>, Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev, libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/gtk-qt-engine/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk-qt-engine/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk-qt-engine/?op=log

Package: gtk-qt-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gtk-qt-engine-kde4
Replaces: gtk-qt-engine-kde4
Recommends: kde-config-gtk-style
Description: theme engine using Qt 4 for GTK+ 2.x
 The GTK-Qt Theme Engine (also known as gtk-qt-engine) is a GTK+ 2 theme engine
 that calls Qt 4 to do the actual drawing. This makes your GTK+ 2 applications
 look almost like real Qt 4 applications and gives you a more unified desktop
 experience.
 .
 This style can be configured within KDE4's systemsettings using package
 system-config-gtk-kde .

Package: kde-config-gtk-style
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gtk-qt-engine-kde4, gtk-qt-engine (<< 1:1.1+svn5-2)
Replaces: gtk-qt-engine-kde4, gtk-qt-engine (<< 1:1.1+svn5-2), system-config-gtk-kde (<< 1:1.1+svn5-3)
Description: KDE configuration module for GTK+ 2.x style selection
 This package provides a way to configure GTK+ 2.x styles to be used in KDE 4
 within Systemsettings.
 .
 It provides the GTK+ KDE Configuration Module.

Package: system-config-gtk-kde
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-config-gtk-style
Description: KDE configuration module for GTK+ 2.x (transitional dummy package)
 This is a transitional package for kde-config-gtk-style, and can be safely
 removed after the installation is complete.
