=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED := yes

PACKAGE := gtk-qt-engine
SVN_REPOS := http://gtk-qt-engine.googlecode.com/svn/trunk/gtk-qt-engine/
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | sed -ne 's/^.*svn\([0-9]\+\)/\1/p' )
TARBALL := ../tarballs/$(PACKAGE)_$(SRC_VERSION).orig.tar.gz
TMPDIR := ../build-area/${PACKAGE}

%:
	dh --parallel --with kde $@

get-orig-source:
	rm -rf ${TMPDIR} $(TARBALL)
	mkdir ${TMPDIR}
	svn export -r $(SVN_REVISION) ${SVN_REPOS} \
	  ${TMPDIR}/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP=--best tar czf $(TARBALL) -C ${TMPDIR} $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf ${TMPDIR}
