## gtk-qt-engine 1.1+svn20080816

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,9 @@
 PROJECT (gtk-qt-engine)
 INCLUDE (UsePkgConfig)
 
-# Find KDE
-FIND_PACKAGE(KDE3 REQUIRED)
-
-# Find Qt
-FIND_PACKAGE(Qt3 REQUIRED)
-MESSAGE(STATUS "Found Qt library: ${QT_QT_LIBRARY}")
+FIND_PACKAGE(X11 REQUIRED)
+FIND_PACKAGE(KDE4)
+FIND_PACKAGE(Qt4 REQUIRED)
 
 # Find GTK
 PKGCONFIG(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
@@ -69,19 +66,27 @@
 SET(INSTALL_PATH_GTK_THEMES "${GTK_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data (eg. /usr/share/themes)")
 MESSAGE(STATUS "Installing the GTK theme engine data to: ${INSTALL_PATH_GTK_THEMES}")
 
-SET(INSTALL_PATH_KCONTROL_MODULES "${KDE3_LIB_DIR}" CACHE PATH "The directory in which to install KControl plugins (eg. /usr/lib)")
+SET(INSTALL_PATH_KCONTROL_MODULES "${KDE4_LIB_DIR}" CACHE PATH "The directory in which to install KControl plugins (eg. /usr/lib)")
 MESSAGE(STATUS "Installing the KControl plugins to: ${INSTALL_PATH_KCONTROL_MODULES}")
 
 MESSAGE(STATUS "Installing everything else to: ${CMAKE_INSTALL_PREFIX}")
 
+IF(NOT DEFINED KDE4_FOUND)
+	MESSAGE(STATUS "WARNING: The KDE4 development package was not found.  The KDE Control Center module will not be built")
+ENDIF(NOT DEFINED KDE4_FOUND)
+
 # Setup definitions and directories to be used in all subdirectories
-ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS} ${BONOBO_DEFINITIONS})
-LINK_DIRECTORIES(${KDE3_LIB_DIR} ${GTK_LIB_DIR} ${BONOBO_LIB_DIR})
-INCLUDE_DIRECTORIES(${KDE3_INCLUDE_DIRS} ${GTK_INCLUDE_DIR} ${BONOBO_INCLUDE_DIR})
+ADD_DEFINITIONS(${QT_DEFINITIONS} ${BONOBO_DEFINITIONS} -DQT_NO_KEYWORDS)
+LINK_DIRECTORIES(${GTK_LIB_DIR} ${BONOBO_LIB_DIR} ${QT_LIBRARY_DIR})
+INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIR} ${BONOBO_INCLUDE_DIR} ${QT_INCLUDES} ${X11_X11_INCLUDE_PATH})
 
 # Subdirectories
 ADD_SUBDIRECTORY(src)
-ADD_SUBDIRECTORY(kcm_gtk)
+
+IF (DEFINED KDE4_FOUND)
+	ADD_SUBDIRECTORY(kcm_gtk)
+ENDIF (DEFINED KDE4_FOUND)
+
 ADD_SUBDIRECTORY(po)
 
 # Uninstall support
